package com.bwie.auth.service.impl;

import com.bwie.auth.feign.SysUserRemoteService;
import com.bwie.common.pojo.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @ClassName SysUserAuthServiceFactory
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/23 10:45
 */
@Component
public class SysUserAuthServiceFactory implements FallbackFactory<SysUserRemoteService> {

    @Override
    public SysUserRemoteService create(Throwable cause) {
        return new SysUserRemoteService() {
            @Override
            public Result<User> login(String userPhone) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
