package com.bwie.list.controller;

import com.bwie.common.pojo.Car;
import com.bwie.common.pojo.Record;
import com.bwie.common.pojo.Type;
import com.bwie.common.result.Result;
import com.bwie.list.service.CarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassName CarControlelr
 * @Description 描述
 * @Author Chen
 * @Date 2024/7/23 10:58
 */
@RestController
@RequestMapping("/car")
public class CarController {
    @Autowired
    private CarService carService;

    /**
     * 自行车列表
     *
     * @param car
     * @return
     */
    @PostMapping("/list")
    public Result<List<Car>> list(@RequestBody Car car) {
        List<Car> list = carService.list(car);
        return Result.success(list);
    }

    /**
     * 类型下拉框
     */
    @GetMapping("/typeList")
    public Result<List<Type>> typeList() {
        List<Type> list = carService.typeList();
        return Result.success(list);
    }

    /**
     * 添加用车记录
     */
    @PostMapping("/recordAdd/{carId}")
    public Result recordAdd(@PathVariable Integer carId) {
        Integer add = carService.recordAdd(carId);
        return Result.success(add);
    }

    /**
     * 记录自行车列表
     */
    @PostMapping("/recordList")
    public Result<List<Record>> recordList(@RequestBody Record record) {
        List<Record> list = carService.recordList(record);
        return Result.success(list);
    }
    /**
     * 结束行程
     */
    @PostMapping("/updateByReId/{carNumber}")
    public Result updateByReId(@PathVariable String carNumber){
        Integer upd = carService.updateByReId(carNumber);
        return Result.success(upd);
    }
}
